//+------------------------------------------------------------------+
//|                                  CriterionPatternRecognition.mqh |
//|                        Copyright 2015, Pham Thanh Tu 0917388656. |
//|                                 http://laptrinhrobotforex.edu.vn |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Pham Thanh Tu 0917388656."
#property link      "http://laptrinhrobotforex.edu.vn"
#property strict

  
int Criterion()
{    
     static datetime prevtime = 0;
     if(prevtime == Time[0])
     {
          return(0);
     }
     prevtime = Time[0];
     // 
    
     if( (CheckBullish(1) && CheckBear(2)) || (CheckBullish(1) && CheckDoji(2)) )
     {          
          return(10);
     }
  
  
     if( (CheckBearish(1) && CheckBull(2)) || (CheckBearish(1) && CheckDoji(2)) )
     {
          return(20);
     }
    
     if(CheckDoji(1))
     {
          if(CheckBullish(2)) return(20);
          if(CheckBearish(2)) return(10);
     }
     
     return(0);
}

